fig19 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig19.ps", width=4.4, height=6, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(3, 1),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)


#.Random.seed <-c(21,14,49,38,43, 1,32,22,36,23,28, 3)
#  x <- rep(0,1201)
#  for(i in 2:1201)
#   {print(i)
#    x[i] <-  2*x[i-1]/(1+0.8*x[i-1]^2)+runif(1,-1,1)
#   }
# fig19.data<-x[1002:1201] 
 y <- fig19.data[2:200]
 x <- fig19.data[1:199]
 orderx <- order(x)
 y <- y[orderx]
 x <- x[orderx]


 tsplot(fig19.data,type='o',pch='*')
 title("A simulated time series","(a)")
 plot(fig19.data[1:99],fig19.data[2:100],xlab="",ylab="",pch="*")
 lines(x,2*x/(1+ 0.8*x^2),lwd=1)
 title("Nonlinear one-step prediction", "(b)")

 par(csi=0.10)
 par(mar=c(5,3,2,1)+0.1)
 ac <- acf(fig19.data,100,plot=F)
 acf.plot(ac, sub="(c)",main="Autocorrelation function")
}
